Health.Data<-read.table("HW4Q3.txt")

library(mgcv)
library(dplyr)
library(caret)

Health.GAM<-gam(heart.deaths~s(per.capita.doctors)+s(ave.travel)+s(over.sixty)+s(ave.income),data=Health.Data%>%mutate(per.capita.doctors=family.doctors/population),offset=log(population),family=poisson(link="log"))

Health.RF<-train(heart.deaths~.-cancer.deaths,data=Health.Data,method="rf",trControl=trainControl(method="repeatedcv",repeats=2,number=10),tuneGrid=expand.grid(mtry=seq_len(5)),ntree=100)
